Subject: [Bridge-mib] Re: Doubt Regarding Learning Constraints.

From: "Les Bell" <[email-masked]>
Date: Tue, 26 Feb 2002 17:21:23 +0000

Hema,

This should be discussed on the IETF Bridge-MIB mailing list,
[email-masked].

Response in-line.

Les...

On 26 Feb 2002, "Hema Magesh" <[email-masked]> wrote:

> Hi,
>
>       I have a query regarding the VLAN Learning Constraint.
>
>       In an hybrid bridge (Both IVL and SVL capable).
>       Learning Constraints are set by Management and the values are present in
the Learning Constraint table.
>
>       The RFC - 2674 , speaks about a default Constraint Type and Set the
extract is present below.
>       (http://www.ietf.org/rfc/rfc2674.txt)
>
>       My understanding is, We can have a default Constraint type - this can be
either "Shared or Independent" ,
>       for every VLAN which does not have any Constraint associated with it.
>
>       If the Constraint Type is independent then all Vlan's filtering entries
are given unique FID's.

Yes.

>       If its default constraint type is "Shared".Then all Vlan's filtering
entries are given the same FID's.

Yes.

>       If this understanding is correct. Then I have the following doubts.
>
>   1#. If the ConstraintSetDefault = F1 (which I believe is the FID ).
>       and the ConstraintType Default = "Shared" .

The Constraint Set identified by this value is mapped to a FID by a proprietary
mechanism internal to the Bridge doing the mapping.  The FID allocated by the
Bridge is shown in dot1qVlanFdbId.

>       Hence all VLAN's which has no constraints would be associated with this
FID.
>       Now if via management, if a fixed allocation is done with the same FID
F1(the default one)
>       with a VLAN which has constraints in the learning Constraint table.
>       Should we take a stand that the default FID cannot be set for VLAN's for
which constraints' exist?.

There is no restriction preventing an entry in dot1qLearningConstraintsTable
from assigning a VLAN to the default constraint set.  Such an entry is
unnecessary, but it is not wrong.

>       Similarly if the default FID is changing dynamically then again if a
FIXED allocation is already associated with this FID
>       Can we give an error asking to request for some other default FID?.

I think what you are asking is: "Can you change the dot1qConstraintSetDefault
to use the same set as an existing entry in dot1qLearningConstraintsTable?"

Again, there is no restriction preventing this.

If your implementation does not allow the default constraint set to share one of
the sets configured in the table, then you may reject the requested change with
an "inconsistent value" error.

>   2#. Having the same initial conditions now if one of the VLAN which has the
default FID F1 associated
>         has a Learning Constraint set then it should no more be associated
with the default FID .
>
>       But again if the constraints are deleted then we need to associate the
VLAN's for which no more VLAN Constraints
>       are present to the default FID?.

Again, if your implementation does not allow you to configure an entry in the
table which identifies the same constraint set as the default constraint set,
then you may reject the requested change with an "inconsistent value" error.

>       In the standard 802.1Q-1998 does not mention about default constraints.
>       So Is this some additional features which are present in the RFC or
>       the standard has some details which needs to be interpreted in this
way?.

802.1Q does not specify how to deal with VLANs learnt through GVRP, or manually
configured, for which no learning constraints have been defined.  This was added
to the RFC to allow the behaviour to be defined.

>   Regards
>   Hema
>
>
>
>
>   RFC -2674 extract:
>
>   dot1qConstraintSetDefault OBJECT-TYPE
>       SYNTAX      INTEGER (0..65535)
>       MAX-ACCESS  read-write
>       STATUS      current
>       DESCRIPTION
>           "The identity of the constraint set to which a VLAN
>           belongs, if there is not an explicit entry for that VLAN
>           in dot1qLearningConstraintsTable."
>       ::= { dot1qVlan 9 }
>
>   dot1qConstraintTypeDefault OBJECT-TYPE
>       SYNTAX      INTEGER {
>                       independent(1),
>                       shared(2)
>                   }
>       MAX-ACCESS  read-write
>       STATUS      current
>       DESCRIPTION
>           "The type of constraint set to which a VLAN belongs, if
>           there is not an explicit entry for that VLAN in
>           dot1qLearningConstraintsTable.  The types are as defined
>           for dot1qConstraintType."
>       ::= { dot1qVlan 10 }

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib